const router = require('express').Router()
const fs = require('fs')
const _ = require('lodash')
const util = require('../server/util')

router.get('/all', async (req, res) => {
  res.setHeader('Content-Type', 'application/xml')
  res.end(await util.getRSS())
})
router.get('/blog', async (req, res) => {
  res.setHeader('Content-Type', 'application/xml')
  res.end(await util.getRSS({ include: ['blog'] }))
})
router.get('/notes', async (req, res) => {
  res.setHeader('Content-Type', 'application/xml')
  res.end(await util.getRSS({ include: ['notes'] }))
})

module.exports = router
