const express = require('express')
const app = express()
const fs = require('fs')
require('dotenv').config()

app.set('env', process.env.NODE_ENV || "production")
app.set('view engine', 'pug')
app.set('port', process.env.PORT || 3000)

app.use('/', require('./routes/main'))
app.use('/', require('./routes/static'))
app.use('/rss', require('./routes/rss'))

app.listen(app.get('port'), () => {
    console.log(`Node server listening at http://localhost:${app.get('port')}`)
})
